from wagtail import blocks
from wagtail.fields import StreamField

from dnscms.blocks import ImageSliderBlock, ImageWithTextBlock

CommonStreamField = StreamField(
    [
        ("paragraph", blocks.RichTextBlock(label="Rik tekst")),
        ("image", ImageWithTextBlock(label="Bilde")),
        ("image_slider", ImageSliderBlock(label="Bildegalleri")),
    ],
    default=[("paragraph", "")],
)
